Subject: Re: [PATCH 2/2] fm10k: correctly report error when changing number of channels

From: "Keller, Jacob E" <[email-masked]>
Date: Mon, 8 Feb 2016 20:07:21 +0000

On Mon, 2016-02-08 at 19:23 +0000, Jakub Kiciński wrote:
> On Mon, 8 Feb 2016 17:13:15 +0000, Keller, Jacob E wrote:
> > Maybe we can store it as a flag in the netdev structure instead?
> 
> Either flag in the netdev or keep your reset callback.  Neither seems
> spectacularly clean.  Maybe someone with a better idea will speak up
> ;)

I chose a priv_flags for netdev, since I think this is better than a
new ethtool op.

I Cc'ed you on the new patch series if you could give it a look? I also
added a few more sanity checks to ethtool_set_channels, in addition to
the check for the rxfh flow table.

Regards,
Jake